package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dto.ItJadwalPerawatanDto;

public interface ItJadwalPerawatanService {
//	public Map<String, Object> getNoOrderTable();
	public String noOrderPerbaikan();
	Map<String, Object> saveJadwalPerawatan(ItJadwalPerawatanDto dto);
	Map<String, Object> getJadwalPerawatanAll(Integer page, Integer limit, String sort, String dir,String startDate, String endDate,String statusPemeliharaan);
	Map<String, Object> getJadwalPerawatanbyNoRec(String noRec);
	Map<String, Object> saveRealisasiJadwalPerawatan(ItJadwalPerawatanDto dto);
	public Boolean deleteJadwalPerawatan(String noRec);
	List<Map<String, Object>> listLembarKerjaPemeliharaanBarangITI(String noRec);

}
